# Change Log

All notable changes to the "gruvbox-material" extension will be documented in this file.

## 6.5.2

- Change `activationEvents`.

## 6.5.1

- Add badge.

## 6.5.0

- Enable this extension in vscode web.

## 6.4.7

- Add new option `gruvboxMaterial.highContrast`.
- Add some new theme tokens.

## 6.4.6

- Support for native bracket colorization

## 6.4.5

- Bigger icon size.
- Optimize diffEditor colors.

## 6.4.4

- Support remote development by specifying extensionKind.

## 6.4.3

- npm audit fix
- Adjust button colors.

## 6.4.2

- `tab.lastPinnedBorder`
- Optimize button colors.
- Optimize extension `eamodio.gitlens`.
- Optimize extension `github.vscode-pull-request-github`.
- Optimize extension `matklad.rust-analyzer`.

## 6.4.1

- Adjust background colors in the dark variant.
- Improve flat workbench style.
- Improve high-contrast workbench style.

## 6.4.0

- Optimize setting colors.
- Optimize selection colors.
- Optimize editor colors.
- Optimize semantic tokens for python.
- Optimize semantic tokens for C/C++.
- Optimize semantic tokens for rust.
- Remove `regenerateThemes` command.

## 6.3.9

- Optimize some workbench colors.
- Support notebook colors.
- Support testing colors.
- Adjust debugging color of status line.

## 6.3.8

- Optimize tab colors.
- Use white/black as the foreground color of editor widget.

## 6.3.7

- Use grey as the foreground color of workbench.

## 6.3.6

- Add new option `gruvboxMaterial.diagnosticTextBackgroundOpacity`.

## 6.3.5

- Use black as background color of remote extension icon. [#43](https://github.com/sainnhe/gruvbox-material-vscode/issues/43)
- Add diagnostic background colors. [#44](https://github.com/sainnhe/gruvbox-material-vscode/issues/44)
- Improve syntax for clojure lang. [#42](https://github.com/sainnhe/gruvbox-material-vscode/issues/42)
- Keep track to vscode#v1.52
- Rewrite C/C++ highlights.
- More debug colors.

## 6.3.4

- Fix [31](https://github.com/sainnhe/gruvbox-material-vscode/issues/31)
- Optimized Ruby RegExp syntax
- Optimized Ruby methods params syntax
- Optimized Ruby separators color

## 6.3.3

- Sort optimized languages by alphabet.

## 6.3.0

- Optimize more languages.

## 6.2.12

- Fix [#28](https://github.com/sainnhe/gruvbox-material-vscode/issues/28).
- Ruby and Yaml incorrect colorization fixes (RoR oriented).

## 6.2.11

- Add new command `gruvboxMaterial.regenerateThemes`.
- Add github action that can comment automatically when an issue is closed.

## 6.2.10

- Publish to open vsx registry.
- Setup a pre-commit hook that can regenerate the theme file using default settings.

## 6.2.9

- Ruby incorrect colorization fix

## 6.2.8

- Fix [#27](https://github.com/sainnhe/gruvbox-material-vscode/issues/27)

## 6.2.7

- Fix [#25](https://github.com/sainnhe/gruvbox-material-vscode/issues/25).

## 6.2.6

- Update description in user settings.
- Use darker fg for `editorWhitespace`.
- Use dim in unnecessary code.

## 6.2.5

- Adjust `list.focusBackground` in the flat and highContrast variants.

## 6.2.4

- Fix peek reference.
- Use higher contrast in `minimap.findMatchHighlight`.

## 6.2.3

- Use grey in json separators.

## 6.2.2

- Move related projects to github wiki.

## 6.2.1

- Use grey in javascript separators.

## 6.2.0

- Support semantic highlighting.
- Fix terminal colors.
- Optimize julia.

## 6.1.11

- Fix [#18](https://github.com/sainnhe/gruvbox-material-vscode/issues/18).

## 6.1.10

- Use `grey2` in menu fg.

## 6.1.9

- Adjust list background.

## 6.1.8

- Adjust list background.

## 6.1.7

- Adjust editor ruler.

## 6.1.6

- Adjust editor ruler.

## 6.1.5

- Adjust foreground colors of title bar and status bar.

## 6.1.4

- Adjust selection background.

## 6.1.3

- Add `editorGutter.commentRangeForeground`.

## 6.1.2

- Add `gruvboxMaterial.darkCursor` and `gruvboxMaterial.lightCursor`.

## 6.1.1

- Rename `gruvboxMaterial.enhancedSyntax` as `gruvboxMaterial.colorfulSyntax`.

## 6.1.0

- Add `gruvboxMaterial.enhancedSyntax`.

## 6.0.4

- Update README.

## 6.0.3

- Use darker foreground color in `gitDecoration.ignoredResourceForeground`.

## 6.0.2

- Add url for sonokai.

## 6.0.1

- Rename `median` as `mix`.

## 6.0.0

- Add `median` palette.

## 5.1.0

- Adjust some background colors in the dark variants.
- Adjust background colors of list and line highlight.

## 5.0.6

- Transfer ownership.

## 5.0.5

- Add notice for [#12](https://github.com/gruvbox-material/vscode/issues/12).

## 5.0.4

- Adjust color palette.
- Adjust background colors of diff editor and merge editor.
- Adjust selectionBackground.

## 5.0.3

- Adjust the background color of suggestion widget.
- Regenerate theme when is newly installed but the user settings are not default.
- Add new options: `darkSelection` and `lightSelection`.

## 5.0.2

- Disable italics in arrow function.

## 5.0.1

- Better support for italic keywords.

## 5.0.0

- Rewrite using typescript.

## 4.2.1

- Transfer the ownership of this repository to [gruvbox-material](https://github.com/gruvbox-material).
- Adjust syntax highlighting logic.

## 4.2.0

- Support italics.

## 4.1.8

- Optimize js.
- Optimize vue.

## 4.1.7

- Adjust markdown headings.

## 4.1.6

- Add icon.

## 4.1.5

- `list.inactiveSelectionForeground`

## 4.1.4

- `editorSuggestWidget`
- Better support for hard light variant.

## 4.1.3

- `gitDecoration`

## 4.1.2

- `editorBracketMatch`
- `gitDecoration`

## 4.1.1

- `meta.member.access.python`
- `variable.other.constant.property`

## 4.1.0

- Adjust workbench colors.

## 4.0.11

- Adjust workbench colors.

## 4.0.10

- Adjust workbench colors.

## 4.0.9

- Fix button color.

## 4.0.8

- Adjust white in the dark variant.

## 4.0.7

- Adjust white in the dark variant.

## 4.0.6

- Adjust white in the dark variant.

## 4.0.5

- Adjust white in the dark variant.

## 4.0.4

- Adjust white in the dark variant.

## 4.0.3

- Adjust white in the dark variant.

## 4.0.2

- Adjust white in the dark variant.

## 4.0.1

- Adjust white in the dark variant.

## 4.0.0

- Adjust color palette

## 3.2.0

- Adjust blue, orange and red in the light variant
- Adjust blue and yellow in the dark variant

## 3.1.2

- Adjust white in the dark variant

## 3.1.1

- Adjust white in the dark variant

## 3.1.0

- Adjust black in the light variant

## 3.0.11

- Use the original light color palette instead

## 3.0.10

- Adjust blue and aqua

## 3.0.9

- `editorSuggestWidget.foreground`

## 3.0.8

- Adjust color palette

## 3.0.7

- Adjust colors of list and explorer

## 3.0.6

- Fix `constant.language.null`

## 3.0.5

- Adjust gutter

## 3.0.4

- Adjust line number
- Optimize pug

## 3.0.3

- Add terminal white and black
- Adjust workbench colors

## 3.0.2

- Fix property

## 3.0.1

- Adjust some workbench colors

## 3.0.0

- Support light background

## 2.0.1

- Fix comment colors

## 2.0.0

- Optimize GraphQL
- Optimize Dockerfile

## 1.4.0

- Optimize Fish
- Optimize TSX

## 1.3.0

- Optimize Git
- Optimize VimL
- Optimize Tmux

## 1.2.0

- Optimize R

## 1.1.0

- Optimize shell

## 1.0.2

- Fix terminal colors

## 1.0.1

- use darkaqua in `editor.selectionBackground`

## 1.0.0

- Optimize more file types

## 0.1.2

- Fix the color that doesn't exist in color reference
- Adjust foreground colors in setting

## 0.1.1

- Fix blackred, blackgreen, blackblue

## 0.1.0

- Initial release
