<p align="center">
  <img src="https://raw.githubusercontent.com/silofy/hackthebox/master/static/hero.png">
</p>

# Hack The Box Theme

A Visual Studio Code theme built for hackers **[BY HACKERS](https://www.hackthebox.eu)** developed with 💚 by Silo & friends.

<p align="center">
  <img src="https://raw.githubusercontent.com/silofy/hackthebox/master/static/cards.png">
</p>

# Beastly Color Contrast

<p align="center">
  <img src="https://raw.githubusercontent.com/silofy/hackthebox/master/static/themecolors.png">
</p>

Web Content Accessibility Guidelines (WCAG 2.0) [Success Criterion](https://contrastchecker.com/?swatch_session=1584823965642) in color contrast for a relaxed, easy on the eyes coding environment.

<p align="center">
  <img src="https://raw.githubusercontent.com/silofy/hackthebox/master/static/wcag.png">
</p>


# Theme Preview

This theme puts the focus on your code, no distractions or overly saturated colors that might look good in a preview, but in reality, burns your eyes after a day of coding. We put extra effort in making sure your syntax and semantic highlighting are on par with your favorite coding languages. The Hack The Box theme is a constant work in progress, always looking to improve were we can. Share your thoughts over on [github](https://github.com/silofy/hackthebox/issues).

<p align="center">
  <img src="https://raw.githubusercontent.com/silofy/hackthebox/master/static/theme-perspective-1.png">
</p>

<p align="center">
  <img src="https://raw.githubusercontent.com/silofy/hackthebox/master/static/htb-theme1.png">
</p>

<p align="center">
  <img src="https://raw.githubusercontent.com/silofy/hackthebox/master/static/htb-theme2.png">
</p>

<p align="center">
  <img src="https://raw.githubusercontent.com/silofy/hackthebox/master/static/htb-theme3.png">
</p>

# Getting started

You can install this theme through the [Visual Studio Marketplace](https://marketplace.visualstudio.com/items?itemName=silofy.hackthebox)

1.  Open **Extensions** sidebar panel in VS Code. `View → Extensions`
2.  Search for `HackTheBox`
3.  Click **Install** to install the theme
4.  Click **Reload** to reload your editor
5.  *File > Preferences > Settings > Workbench > Color Theme >* **HackTheBox**
6.  Optional: Use the recommended settings below for best experience

## Installation via command line

    $ git clone https://github.com/silofy/hackthebox.git ~/.vscode/extensions/HackTheBox  
    $ cd ~/.vscode/extensions/HackTheBox  
    $ npm install && npm run build

## Recommended Visual Studio Code Settings

These are my preferred settings when working in VS Code with the Hack The Box theme. Open your *settings.json* by clicking **ctrl+shift+p** Or, *File > Preferences > Settings > Workbench > settings.json*
I have set my Material theme icons to *#6e7b968C* by clicking **ctrl+shift+p** and typing in *Material Icons: Change Folder Color*, and selecting the custom option.

    "editor.fontFamily":  "JetBrains Mono, Consolas, 'Courier New', monospace",
    "editor.fontSize":  12,
    "editor.fontWeight":  "300",
    "editor.lineHeight":  20,
    "editor.letterSpacing":  0.5,
    "editor.fontLigatures":  true,
    "editor.wordWrap":  "on",
    "editor.formatOnPaste":  true,
    "editor.cursorBlinking":  "smooth",

You can download the font JetBrains Mono [here](https://github.com/JetBrains/JetBrainsMono).
You can download the material theme icon pack [here](https://marketplace.visualstudio.com/items?itemName=PKief.material-icon-theme)

# License

The MIT License (MIT)

Copyright (c) 2020 HackTheBox Theme

Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the "Software"), to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
